<nav class="navbar navbar-dark bg-light">
  <div *ngIf="isConnect$ | async as isConnect; else serverOffLine">
    <div
      class="m-1 p-1 badge rounded-pill bg-{{
        isConnect ? 'success' : 'danger'
      }}"
      tooltips
    >
      <i
        class="fas fa-server"
        data-bs-toggle="tooltip"
        data-bs-placement="bottom"
        title="Etat du server"
      ></i>
    </div>
  </div>

  <ng-template #serverOffLine>
    <div
      class="m-1 p-1 badge rounded-pill bg-danger"
      tooltips
    >
      <i
        class="fas fa-server"
        data-bs-toggle="tooltip"
        data-bs-placement="bottom"
        title="Etat du server"
      ></i>
    </div>
  </ng-template>

  <div *ngIf="userProfil$ | async as userProfil">
    <div
      class="btn btn-outline-secondary"
      data-bs-toggle="tooltip"
      data-bs-placement="bottom"
      title="Votre profil"
    >
      <img class="avatar px-2" [src]="userProfil.avatarProfil.image" />
      <span>{{ userProfil.username }}</span>
    </div>
  </div>
  <!-- <a routerLink="/inscription" class="btn btn-success">Back</a> -->
</nav>
